./devel/p5-Perl-PrereqScanner-NotQuiteLite, Tool to scan your Perl code for its prerequisites

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 0.9908, Package name: p5-Perl-PrereqScanner-NotQuiteLite-0.9908, Maintainer: wen

Perl::PrereqScanner::NotQuiteLite is yet another prerequisites scanner. It
passes almost all the scanning tests for Perl::PrereqScanner and
Module::ExtractUse (ie. except for a few dubious ones), and runs slightly faster
than PPI-based Perl::PrereqScanner. However, it doesn't run as fast as
Perl::PrereqScanner::Lite (which uses an XS lexer).


Required to run:
[lang/perl5] [devel/p5-Data-Dump] [devel/p5-Module-Find] [devel/p5-Module-CPANfile] [devel/p5-Regexp-Trie]

Required to build:
[devel/p5-Test-UseAllModules] [devel/p5-Test-FailWarnings] [pkgtools/cwrappers] [devel/p5-ExtUtils-MakeMaker-CPANfile]

Master sites: (Expand)

SHA1: 8f17f5c411a33db8e236dfa0feba76f13be2e23f
RMD160: 43cabe9ae26c897f8d15106dbfefa87f25a3eb09
Filesize: 124.22 KB

Version history: (Expand)


CVS history: (Expand)


   2019-10-04 09:05:15 by Wen Heping | Files touched by this commit (2) | Package updated
Log message:
Update to 0.9908

Upstream changes:
0.9908 2019/08/24
  - fixed Win32 path separator issues

0.9907 2019/08/22
  - changed scan_also and features options to accept glob expressions
  - added "version" option to show what's going on

0.9906 2019/07/06
  - fixed PackageVariant parser not to die when it finds something
    other than importing
   2019-08-11 15:25:21 by Thomas Klausner | Files touched by this commit (3557) | Package updated
Log message:
Bump PKGREVISIONs for perl 5.30.0
   2019-06-30 22:17:50 by Nia Alarie | Files touched by this commit (1816) | Package updated
Log message:
Update packages using a search.cpan.org HOMEPAGE to metacpan.org.

The former now redirects to the latter.

This covers the most simple cases where http://search.cpan.org/dist/name
can be changed to https://metacpan.org/release/name.

Reviewed by hand to hopefully make sure no unwanted changes sneak in.
   2019-06-01 09:42:58 by Wen Heping | Files touched by this commit (2) | Package updated
Log message:
Update to 0.9905

Upstream changes:
0.9905 2019/05/10
  - changed scan-perl-prereqs-nqlite to use only :bundled parsers
    by default
  - added perl_minimum_version option
  - added feature pragma arg parser
  - added indented heredoc and <<$fh>> support
  - fixed eval shortcut handling
  - fixed parsers to treat several keywords as ops
  - fixed various small parser issues (//, regexp after return,
    heredoc terminator, package version/block, when modifier etc)
  - renamed internal flags
   2019-02-09 09:18:44 by Wen Heping | Files touched by this commit (3)
Log message:
Import Perl-PrereqScanner-NotQuiteLite-0.9904 as \ 
devel/p5-Perl-PrereqScanner-NotQuiteLite.

Perl::PrereqScanner::NotQuiteLite is yet another prerequisites scanner. It
passes almost all the scanning tests for Perl::PrereqScanner and
Module::ExtractUse (ie. except for a few dubious ones), and runs slightly faster
than PPI-based Perl::PrereqScanner. However, it doesn't run as fast as
Perl::PrereqScanner::Lite (which uses an XS lexer).